Summary: A library for accessing chip cards via chip card readers
Name: libchipcard
Version: 0.9.1
Release: 3
Source: http://download.sourceforge.net/libchipcard/%{name}-%{version}.tar.bz2
Group:	System Environment/Libraries
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pcsc-lite-devel
Prereq: /sbin/ldconfig

%description
Libchipcard is a library for easy access to chip cards via chip card readers (terminals).
It currently works under Linux, FreeBSD, NetBSD, OpenBSD and (partially) Windows.
A graphical setup tool (using KDE), man pages and German translations to all KDE programs and all console tools are provided.
This library is used by OpenHBCI and thus by AqMoney, GOpenHBCI, KOpenHBCI, LxBank and GnuCash to provide support for German Homebanking cards.
GNUMed just started using it to handle German medical cards.
Currently readers from Towitoko (now SCM), Kobil, Reiner-SCT and Orga are known to work with Libchipcard. 

%package devel
Summary: %{name} development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel contains the header files and libraries necessary
for building applications that use %{name}.

%prep
%setup -q

%build
%configure \
	--with-openssl-libs=%{_libdir} \
	--enable-pcsc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
test -d %{_libdir}/openhbci/plugins \
 && cp %{_libdir}/libchipcard.so.20.0.1 %{_libdir}/openhbci/plugins/libchipcard.so

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog FAQ INSTALL missing NEWS README* redhat THANKS TODO doc 
%{_bindir}/cardcommander
%{_bindir}/ctfstool
%{_bindir}/geldkarte
%{_bindir}/hbcicard
%{_bindir}/libchipcard-config
%{_bindir}/memcard
%{_bindir}/readertest
%{_sbindir}/chipcardd
%{_sbindir}/kvkd
%{_libdir}/libchipcard.so.20.0.1
%{_datadir}/libchipcard/commands/*.cmd
%{_datadir}/libchipcard/drivers/README
%{_datadir}/libchipcard/drivers/*.dsc
%{_datadir}/libchipcard/examples/chipcardc.conf
%{_datadir}/libchipcard/examples/chipcardd.conf
%{_datadir}/locale
%{_mandir}/man1/chipcardd.1*
%{_mandir}/man1/ctfstool.1*
%{_mandir}/man1/geldkarte.1*
%{_mandir}/man1/hbcicard.1*
%{_mandir}/man1/kvkd.1*
%{_mandir}/man1/libchipcard-config.1*
%{_mandir}/man1/memcard.1*
%{_mandir}/man1/readertest.1*
%{_mandir}/man5/chipcardc.conf.5*
%{_mandir}/man5/chipcardd.conf.5*
%{_mandir}/man5/libchipcard.conf.5*

%files devel
%defattr(-,root,root)
#%doc doc/html doc/ofx_sample_files
%{_datadir}/aclocal/libchipcard.m4
%{_includedir}/chameleon/*.h
%{_includedir}/chipcard.h
%{_includedir}/chipcard/*.h
%{_includedir}/ctversion.h
%{_libdir}/libchipcard.a
%{_libdir}/libchipcard.la
#%{_libdir}/*.so

%changelog
* Tue Sep 21 2004 Frank Bergmann <meurer@gmx.STOP-UCE.de> 0.9.1-2
- include pcsc support
